# Amp Overview
- Adds in Amp, an agile melee/ranged custom survivor who fights with the electrifying power of electromagnetism.
- Featuring 9 custom skills, a unique passive, lore, a mastery skin, item displays, unique Mithrix dialogue, and more!
- **DISCLAIMER**: Amp is still a WIP survivor, so many things are subject to change, and you may encounter some bugs (in the case of multiplayer, "may" turns into "will").

For feedback & bug reporting, message Neon#2032 on discord or just @ me in the modding server  (https://discord.gg/VuRshdPgvU). I really appreciate any and all feedback; I want Amp to be as fun to play as possible!

# KNOWN MAJOR BUGS:
- IF YOU HAVE AN ERROR THAT MENTIONS UNLOCKABLEAPI, AND CAUSES AMP TO NOT APPEAR IN THE LOBBY, UPDATE BEPINEXPACK.
- IF YOU HAVE AN ERROR WHERE THE GAME GETS STUCK LOADING AT 100%, UNINSTALL EXTRA FIREWORKS, HE IS CURRENTLY INCOMPATIBLE WITH THAT MOD

[![](https://cdn.discordapp.com/attachments/226439908657463296/1007789478032707614/AmpDisplay.png)]()

# Skills (picture is slightly outdated)
[![](https://cdn.discordapp.com/attachments/226439908657463296/1007782321094656132/AmpSkills.png)]()


[![](https://cdn.discordapp.com/attachments/226439908657463296/1007782708614803537/AmpDash.png)]()
[![](https://cdn.discordapp.com/attachments/226439908657463296/1007782759227457576/AmpLightning.png)]()
[![](https://cdn.discordapp.com/attachments/226439908657463296/1007782614360395907/AmpItems.png)]()


# To Do
- Fix multiplayer functionality
- Adjust some animations
- Add in configs for players to tweak some of Amp's values
- For a more detailed WIP list as well as a list of known bugs, visit the github!

# Credits
- Neon: Animations, Code, VFX, SFX
- Gaborade: Modelling
- NotWhoYouThink: Lorentz Cannon Code & VFX
- The Risk of Rain 2 Modding Server: Helping me stay sane through all kinds of bugs I wouldn't have been able to solve on my own.

# Change Log
- 1.0.7
    - Discovered incompatability with Extra Fireworks & updated README
- 1.0.6
    - General
        - Fixed bug where UnlockableAPI wouldn't load properly
        - Some more bug related and QOL changes to come soon, like making Lorentz Cannon's projectiles more visible & fixing a common bug where Amp's item displays cause loading to get stuck at 100% with certain mod combinations
    - Modified Shockblade
        - Extended depth range from 7 to 10.5 units
        - Extended horizontal range from 6.6 to 7.5 units
        - Extended vertical range from 5 to 6 units
        - Buffed damage from 140% to 160%
        - Slashes now *guarantee* a proc of charge instead of having a 20% chance. This is a tentative change to make melee a more viable option.
    - Plasma Slash
        - Fixed a bug where plasma slash could interrupt itself when multiple charges were present
        - Extended slash dimensional ranges: 
            - Depth: from 15 to 16.5 units
            - Horizontal: from 15 to 17 units
            - Vertical: from 6 to 9 units
        - Increased width of projectile, should be easier to hit now
    - Lorentz Cannon
        - Increased strength of homing; should be much more consistent now
        - Increased cooldown from 1.5 to 3 seconds
        - Reduced bullet damage from 160% to 130%
        - Reduced proc coefficient per bullet from 1 to .7
    - Magnetic Vortex
        - Fixed a bug where killing/damaging enemies wouldn't cause item procs
        - Radial damage & explosion now consistently apply in multiplayer
    - Surge
        - Increased contact damage from 100% to 150%; again, a really tentative change
        - Increased cooldown from 8 to 10 seconds
    - Pulse Leap
        - Fall damage removal now works in multiplayer
        - Fixed NRE spamming the console in multiplayer
    - Fulmination
        - Reduced damage from 2400% to 2200%
    - Voltaic Bombardment
        - Increased damage from 1000% to 1400%
        - Increased overcharge duration from 3 to 5 seconds

 - 1.0.0 -> 1.0.5
    - READMEs are hard
